summaryrefslogtreecommitdiffstats
path: root/testing/wzdftpd/wzdftpd-svn.initd
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2009-02-12 08:46:09 +0000
committerCarlo Landmeter <clandmeter@gmail.com>2009-02-12 08:46:09 +0000
commit66101679ec75ef7f6c675b0edf1e3c10a484946c (patch)
tree900ead76c8e84e2c1b43a3dbf203ff7cd046deeb /testing/wzdftpd/wzdftpd-svn.initd
parent865b9a436cbeeaa2a782ec661bdb863ef8b293f5 (diff)
downloadaports-66101679ec75ef7f6c675b0edf1e3c10a484946c.tar.bz2
aports-66101679ec75ef7f6c675b0edf1e3c10a484946c.tar.xz
created new directory structure.
Diffstat (limited to 'testing/wzdftpd/wzdftpd-svn.initd')
-rw-r--r--testing/wzdftpd/wzdftpd-svn.initd28
1 files changed, 28 insertions, 0 deletions
diff --git a/testing/wzdftpd/wzdftpd-svn.initd b/testing/wzdftpd/wzdftpd-svn.initd
new file mode 100644
index 000000000..4f58d5b3f
--- /dev/null
+++ b/testing/wzdftpd/wzdftpd-svn.initd
@@ -0,0 +1,28 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+ use dns
+}
+
+checkconfig() {
+ if [ ! -f /etc/wzdftpd/wzd.cfg ] ; then
+ eerror "No /etc/wzdftpd/wzd.cnf file exists!"
+ return 1
+ fi
+}
+
+start() {
+ checkconfig || return 1
+ ebegin "Starting wzdftpd"
+ /usr/sbin/wzdftpd >/dev/null 2>&1 &
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping mysqld"
+ start-stop-daemon --stop --quiet \
+ --pidfile=/var/run/wzdftpd/wzdftpd.pid --retry 20
+ eend $?
+}
+